Subject: bug#50394: Improve "Completion List Mode" NEWS entry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Sep 2021 22:23:23 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 5 Sep 2021 21:16:06 +0200
> Cc: [email-masked], Gregory Heytings <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Which basic functionality are you alluding to here?
> 
> Command completion, 'M-x TAB'.
> 
> > > I changed the headline from the nondescript 'Completion List Mode' to
> > > 'Improved navigation in the "*Completions*" buffer"'.  I think that
> > > makes things sufficiently clear without having to look elsewhere.
> >
> > Sorry, I don't follow.  This is in the section whose headline is
> > "Changes in Specialized Modes and Packages in Emacs 28.1", right?  And
> > each item in that section names a mode or a package, right?  So what's
> > wrong with having a headline there which says "Completion List Mode"?
> > it's a mode, right?
> >
> > Or what am I missing?
> 
> Sorry to be unclear.  Because this is about basic functionality it
> should not be under "Specialized Modes and Packages" but under
> "Changes in Emacs".  So I moved it there (or that is my intention, at
> least).

But the entry specifically talks about key bindings in that particular
mode, so I still don't see why you think it should in a more general
section.

> Even if we kept it there, things under there usually do not have this format:
> 
>     * Changes in Specialized Modes and Packages in Emacs 28.1
>     ...
>     ** Library Name
>     Text describing a particular feature
> 
> See NEWS.27, etc. for examples.

Are the examples you have in mind in NEWS (i.e. Emacs 28) or in
NEWS.27?  Or maybe just show a couple of examples of "Library Name" so
I wouldn't need to look them up?  And in any case, is that relevant to
the issue at hand, or is that a separate issue?

Thanks.